Authorize Incremental

Increase the held authorization amount on an active transaction without requiring the customer to perform a new checkout session

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Model

The request is a POST request with the following parameters:

Input ParameterTypeLengthDescription
orderObject (Order Model)-Order details including amount and currency for authorization.
{    
    "order": {
        "id": "202210101255255144669",
        "reference": "11111991",
        "description": "Purchase order received for Logitech K380 Keyboard",
        "currency": "KWD",
        "amount": 5
    }
}

Response Model

Input ParameterTypeMax LengthDescription
statusBoolean100true if the request was successfully processed (not necessarily authorized, but a link was generated).
messageString100A descriptive message regarding the operation.
dataObject-Object contains the Authorize incremental status, total amount, and redirect_url
{
    "status": true,
    "message": "Data received successfully",
    "data": {
        "payMit": {
            "result": "SUCCESS",
            "order": {
                "status": "AUTHORIZED"
            },
            "totalAmount": 15
        },
        "updateSessionTokenMitData": null,
        "transactionData": {
            "redirect_url": "https://upayments.com/en/?payment_id=7901427333626067804806&result=AUTHORIZED&post_date=&tran_id=&ref=01a0ccd23b296daec513c5b83626c6de&track_id=01a0ccd1f4bfa5f7338b710cebc95c00&auth=&order_id=01a0ccd23b2692951a5644e82a7910ba&requested_order_id=202210101255255144669&refund_order_id=01a0ccd23b2692951a5644e82a7910ba&payment_type=card&invoice_id=6120134&transaction_date=2026-09-23 08:09:52&receipt_id=01a0ccd23b2692951a5644e82a7910ba"
        }
    }
}
⚠️

Authorization hold periods vary by payment method

Credit Card: 7 days

KNET: 24 hours

If the transaction is not captured or settled within the hold window, the full authorization amount is automatically refunded.

Path Params
string
required
Responses
200

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json